select 'grant '||privilege||' on '||table_name||' to '||grantee||';'
from dba_tab_privs
where owner = 'KHAN'
and (grantee, table_name, privilege)
not in (select grantee, table_name, privilege
from dba_tab_privs
where owner = 'CPROD')
and table_name in
(select object_name from dba_objects
where owner = 'CPROD')
/
